import { Button } from '@/shared/Button';
import { Input } from '@/shared/Input';
import { useLoadPlugin } from './hooks/useLoadPlugin';

export const LoadPluginInput = (): React.ReactNode => {
  const { handleChangePluginUrl, handleLoadPlugin, isPending, pluginUrl } = useLoadPlugin();

  return (
    <label>
      URL:
      <div className="relative mt-2.5">
        <Input
          className="h-10 rounded-r-md pr-[70px]"
          value={pluginUrl}
          onChange={handleChangePluginUrl}
        />
        <Button
          className="absolute inset-y-0 right-0 w-[60px] justify-center text-xs font-medium text-primary-500 ring-primary-500 hover:ring-primary-500 disabled:text-primary-500 disabled:ring-primary-500"
          variantStyles="ghost"
          onClick={handleLoadPlugin}
          disabled={isPending}
        >
          Load
        </Button>
      </div>
    </label>
  );
};
