import { createSelector } from '@reduxjs/toolkit';
import { Plugin } from '@/types/models';
import { rootSelector } from '../root/root.selectors';

export const pluginsSelector = createSelector(rootSelector, state => state.plugins);

export const activePluginsIdSelector = createSelector(pluginsSelector, state => state.pluginsId);

export const pluginsDataSelector = createSelector(pluginsSelector, plugins => plugins.data);

export const activePluginsSelector = createSelector(
  pluginsDataSelector,
  activePluginsIdSelector,
  (data, pluginsId) => {
    const result: Plugin[] = [];

    pluginsId.forEach(pluginId => {
      const element = data[pluginId];
      if (element) {
        result.push(element);
      }
    });

    return result;
  },
);
