import { createSlice } from '@reduxjs/toolkit';
import type { PluginsState } from './plugins.types';
import { registerPluginReducer, removePluginReducer } from './plugins.reducers';

const initialState: PluginsState = {
  pluginsId: [],
  data: {},
};

export const pluginsSlice = createSlice({
  name: 'plugins',
  initialState,
  reducers: {
    removePlugin: removePluginReducer,
  },
  extraReducers: builder => {
    registerPluginReducer(builder);
  },
});

export const { removePlugin } = pluginsSlice.actions;

export default pluginsSlice.reducer;
