import { Unsubscribe } from '@reduxjs/toolkit';
import { configurationMapper } from './pluginsManager.utils';

export type RegisterPlugin = {
  pluginName: string;
  pluginVersion: string;
  pluginUrl: string;
};

export type MinervaConfiguration = ReturnType<typeof configurationMapper>;

export type PluginsManagerType = {
  hashedPlugins: {
    [url: string]: string;
  };
  setHashedPlugin({ pluginUrl, pluginScript }: { pluginUrl: string; pluginScript: string }): void;
  init(): Unsubscribe;
  registerPlugin({ pluginName, pluginVersion, pluginUrl }: RegisterPlugin): {
    element: HTMLDivElement;
  };
};
